Manual do PHP
Anterior |  | Próxima

# dbmnextkey

(PHP 3, PHP 4, PECL)

dbmnextkey --

## Descrição

string dbmnextkey ( resource dbm_identifier, string key )

Returns the next key after `key`.

## Parâmetros

`dbm_identifier`

  O identificador da conexão DBM, retornado por dbmopen().

`key`

  The previous key

## Valores de retornado

The next key if possible

## Exemplos

By calling dbmfirstkey() followed by successive calls to dbmnextkey() it is possible to visit every key/value pair in the dbm database. For example:

Exemplo 1. Visiting every key/value pair in a DBM database
`<?php $key = dbmfirstkey($dbm_id); while ($key) { echo "$key = " . dbmfetch($dbm_id, $key) . "\n"; $key = dbmnextkey($dbm_id, $key); } ?>`

## Veja também

dbmfirstkey()

Anterior | Principal | Próxima
dbminsert | Acima | dbmopen